\documentclass[border=5pt]{standalone}

\usepackage{verbatim}
\usepackage[utf8]{inputenc}
\usepackage{eurosym}

\usepackage{tikz}
\usetikzlibrary{arrows.meta}
\usetikzlibrary{positioning}

\newcommand{\squaresize}{0.5cm}

\tikzset{%
	>={Latex[width=2mm,length=2mm]},
	% Specifications for style of nodes:
			  base/.style = {rectangle, draw=black, minimum width=\squaresize, minimum height=\squaresize, text centered},
			  %
		    number/.style = {base, fill=gray!10, minimum height=\squaresize},
		  operator/.style = {base, fill=none, draw=none}
}

\begin{document}
	\begin{tikzpicture}[node distance=0.1cm and 0.1cm]
	
	\node (number1)		[number]						{1};
	\node (operator1)	[operator, right=of number1]	{+};
	\node (number2)		[number, right=of operator1]	{1};
	\node (operator2)	[operator, right=of number2]	{=};
	\node (number3)		[number, right=of operator2]	{2};
	
	\node (number4)		[number, below=of number1]		{2};
	\node (operator3)	[operator, right=of number4]	{+};
	\node (number5)		[number, right=of operator3]	{2};
	\node (operator4)	[operator, right=of number5]	{=};
	\node (number6)		[number, right=of operator4]	{4};
	
	\node (number7)		[number, below=of number4]		{3};
	\node (operator5)	[operator, right=of number7]	{+};
	\node (number8)		[number, right=of operator5]	{3};
	\node (operator6)	[operator, right=of number8]	{=};
	\node (number9)		[number, right=of operator6]	{6};
	
	\node (number10)	[number, below=of number7]		{4};
	\node (operator7)	[operator, right=of number10]	{+};
	\node (number11)	[number, right=of operator7]	{4};
	\node (operator8)	[operator, right=of number11]	{=};
	\node (number12)	[number, right=of operator8]	{8};
	
	\end{tikzpicture}
\end{document}
